aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authordancer <dancer>2001-09-01 10:30:48 +0000
committerdancer <dancer>2001-09-01 10:30:48 +0000
commit2129f7acbc3397ac7963b316a219518dfcdf2ef8 (patch)
tree4c2e8cb6968a5d770c940598e0c427b346290595
parente4ca8f6b1d902b5dedc115fed276aa7d7de1c602 (diff)
downloadpbuilder-2129f7acbc3397ac7963b316a219518dfcdf2ef8.tar
pbuilder-2129f7acbc3397ac7963b316a219518dfcdf2ef8.tar.gz
fixes and enhancements
-rw-r--r--debian/changelog12
-rwxr-xr-xpbuilder-buildpackage12
-rwxr-xr-xpbuilder-checkparams12
-rwxr-xr-xpbuilder-createbuildenv14
-rw-r--r--pbuilder-modules3
-rwxr-xr-xpbuilder-updatebuildenv1
6 files changed, 29 insertions, 25 deletions
diff --git a/debian/changelog b/debian/changelog
index 44b4b20..fe70b49 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -7,8 +7,14 @@ pbuilder (0.3) unstable; urgency=low
* includes an internal checkbuilddep (crude hack) to support potato.
Internal build-dependency checker is used when dpkg-checkbuilddeps is not available.
This really needs to be fixed.
+ * does no longer copy the /etc/apt directory into the chroot. It should be non-necessary.
+ * added a clean target to pbuilder program to clean up cruft.
+ * removed the debian-changelog-mode thing at the bottom of the changelog.
+ * added login target to pbuilder, to allow for easy debugging.
+ * TODO: Make pbuilder build to abort on error, and give back an errorcode.
+ * TODO: Use both non-us and main archives.
- -- Junichi Uekawa <dancer@debian.org> Sat, 1 Sep 2001 14:40:31 +0900
+ -- Junichi Uekawa <dancer@debian.org> Sat, 1 Sep 2001 18:40:56 +0900
pbuilder (0.2) unstable; urgency=low
@@ -25,7 +31,3 @@ pbuilder (0.1) unstable; urgency=low
* Initial Release.
-- Junichi Uekawa <dancer@debian.org> Mon, 27 Aug 2001 18:50:06 +0900
-
-Local variables:
-mode: debian-changelog
-End:
diff --git a/pbuilder-buildpackage b/pbuilder-buildpackage
index 25988c5..4495cb8 100755
--- a/pbuilder-buildpackage
+++ b/pbuilder-buildpackage
@@ -103,11 +103,19 @@ extractbuildplace
echo Copying source file
copydsc "$PACKAGENAME" "$BUILDPLACE/tmp/buildd"
echo Extracting source
-$CHROOTEXEC /bin/bash -c "( cd tmp/buildd; /usr/bin/dpkg-source -x $(basename $PACKAGENAME) )"
+$CHROOTEXEC /bin/bash -c "( cd tmp/buildd; /usr/bin/dpkg-source -x $(basename $PACKAGENAME) )" || (
+ echo pbuilder: Failed extracting the source >&2
+ abortingfunction
+ exit 1;
+)
echo Installing the build-deps
checkbuilddep
echo Building the package
-$CHROOTEXEC /bin/sh -c "(cd tmp/buildd/*/; dpkg-buildpackage)"
+$CHROOTEXEC /bin/bash -c "(cd tmp/buildd/*/; dpkg-buildpackage)" || (
+ echo pbuilder: Failed autobuilding of package >&2
+ abortingfunction
+ exit 1;
+)
umountproc
diff --git a/pbuilder-checkparams b/pbuilder-checkparams
index 6f1ac00..748cea7 100755
--- a/pbuilder-checkparams
+++ b/pbuilder-checkparams
@@ -2,6 +2,7 @@
# this is sourced from pbuilder packages to process the optional parameters.
. /etc/pbuilderrc
+. /usr/lib/pbuilder/pbuilder-modules
# the default is to add a PID in the buildplace specified in the config file.
BASEBUILDPLACE="$BUILDPLACE"
@@ -34,16 +35,7 @@ while [ -n "$1" ]; do
shift; shift;
;;
--help)
- cat <<EOF
-Command Line Options:
- --basetgz [base.tgz location]
- --buildplace [location of build]
- --mirror [mirror location]
- --http-proxy [proxy]
- --distribution [distribution(woody/sid)]
- --buildresult [location-to-copy-build-result]
-EOF
- exit 1;
+ showhelp
;;
--*)
echo "Error: Unknown option [$1] was specified " >&2
diff --git a/pbuilder-createbuildenv b/pbuilder-createbuildenv
index 96f283f..ccf7e12 100755
--- a/pbuilder-createbuildenv
+++ b/pbuilder-createbuildenv
@@ -2,7 +2,6 @@
# Creating the build environment with debootstrap.
. /usr/lib/pbuilder/pbuilder-checkparams
-. /usr/lib/pbuilder/pbuilder-modules
CHROOTEXEC="chroot $BUILDPLACE "
if [ -z "$DISTRIBUTION" ]; then
@@ -19,7 +18,11 @@ if [ ! -d "$BUILDPLACE" ]; then
exit 1
fi
echo " -> running debootstrap"
-( cd "$BUILDPLACE" && debootstrap "$DISTRIBUTION" . "$MIRRORSITE")
+( cd "$BUILDPLACE" && debootstrap "$DISTRIBUTION" . "$MIRRORSITE" || exit 1) ||
+(
+ echo "pbuilder: debootstrap failed" >&2
+ exit 1
+)
echo " -> debootstrap finished"
mkdir -p "$BUILDPLACE/tmp/buildd"
echo " -> copying local configuration"
@@ -27,11 +30,8 @@ for a in passwd hosts hostname resolv.conf ; do
cp -r /etc/$a "$BUILDPLACE/etc/";
done
-echo " -> installing apt-lines"
-cat > "$BUILDPLACE/etc/apt/sources.list" << EOF
-deb $MIRRORSITE $DISTRIBUTION main contrib non-free
-deb-src $MIRRORSITE $DISTRIBUTION main contrib non-free
-EOF
+
+installaptlines
echo "Refreshing the base.tgz "
echo " -> upgrading packages"
diff --git a/pbuilder-modules b/pbuilder-modules
index 0621d65..be2f4b4 100644
--- a/pbuilder-modules
+++ b/pbuilder-modules
@@ -22,6 +22,9 @@ pbuilder build [--basetgz base.tgz-path] pbuilder_2.2.0-1.dsc
pbuilder clean
Cleans the temporal build directory.
+pbuilder login
+ Logs in to the build environment
+
Operation Options:
--basetgz [base.tgz location]
--buildplace [location of build]
diff --git a/pbuilder-updatebuildenv b/pbuilder-updatebuildenv
index 9db6f85..f370de6 100755
--- a/pbuilder-updatebuildenv
+++ b/pbuilder-updatebuildenv
@@ -1,7 +1,6 @@
#! /bin/bash
. /usr/lib/pbuilder/pbuilder-checkparams
-. /usr/lib/pbuilder/pbuilder-modules
CHROOTEXEC="chroot $BUILDPLACE "